#ifndef AUDITLOG_H
#define AUDITLOG_H

#include <QFile>
#include <QDataStream>
#include <QTextStream>

class AuditLog
{
public:
    AuditLog();
    ~AuditLog();
    void appendFile(const QString& filePath);
    void appendFiles(const QStringList& fileLists);
    void outputResult(const QString& recorderName, const QString& discType, const QString& operation, int burnResult);//记录刻录结果
    void outputCopyResult(const QString& mountPoint, const QString& destRercorderName,
                          QString destDiscType, const QString& operation, bool result);
    void ouputCreateResult(const QString& recorderName, const QString& targetFile, int result);
private:
    void initInfo();
    QString getFileInfo(const QString& file);
    void getFilesFromMountpoint(const QString& mountPoint);
    QString stringSize(unsigned long);

private:
    QFile mLogFile;
    QString mUserName;
    QStringList mFilesList;
    QTextStream mWriteStream;
};


/* 返回上一级目录？
*/
#endif // AUDITLOG_H
